org.apache.ignite.spi.discovery

## Interface DiscoverySpiCustomMessage

All Superinterfaces:
  Serializable

All Known Implementing Classes:
  CustomMessageWrapper

    public interface DiscoverySpiCustomMessage
    extends Serializable

Message to send across ring.

See Also:
  `GridDiscoveryManager.sendCustomEvent(DiscoveryCustomMessage)`

### Method Summary

All Methods Instance Methods Abstract Methods
`DiscoverySpiCustomMessage` `ackMessage()` Called when custom message has been handled by all nodes.
`boolean` `isMutable()`
`boolean` `stopProcess()` Called on discovery coordinator node after listener is notified.

### Method Detail

#### ackMessage

    @Nullable
    DiscoverySpiCustomMessage ackMessage()

Called when custom message has been handled by all nodes.

Returns:
  Ack message or `null` if ack is not required.

#### isMutable

    boolean isMutable()

Returns:
  `True` if message can be modified during listener notification. Changes will be send to next nodes.

#### stopProcess

    boolean stopProcess()

Called on discovery coordinator node after listener is notified. If returns `true` then message is not passed to others nodes, if after this method `ackMessage()` returns non-null ack message, it is sent to all nodes.

Returns:
  `True` if message should not be sent to all nodes.

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.7.0
Release Date | : November 30 2018